gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.NglRenderer

Contents

- Exported types
- Methods
  - new

Description

A GL based renderer.

See `Renderer`.

Synopsis

- newtype NglRenderer = NglRenderer (ManagedPtr NglRenderer)
- class (GObject o, IsDescendantOf NglRenderer o) => IsNglRenderer o
- toNglRenderer :: (MonadIO m, IsNglRenderer o) => o -> m NglRenderer
- nglRendererNew :: (HasCallStack, MonadIO m) => m NglRenderer

# Exported types

newtype NglRenderer Source #

Memory-managed wrapper type.

Constructors

NglRenderer (ManagedPtr NglRenderer) |

#### Instances

Instances details

Eq NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer Methods (==) :: NglRenderer -> NglRenderer -> Bool Source # (/=) :: NglRenderer -> NglRenderer -> Bool Source #
GObject NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer
ManagedPtrNewtype NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer Methods toManagedPtr :: NglRenderer -> ManagedPtr NglRenderer Source #
TypedObject NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer Methods glibType :: IO GType Source #
HasParentTypes NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer
IsGValue (Maybe NglRenderer) Source # | Convert `NglRenderer` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gsk.Objects.NglRenderer Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NglRenderer -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NglRenderer) Source #
type ParentTypes NglRenderer Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer type ParentTypes NglRenderer = '[Renderer, Object]

class (GObject o, IsDescendantOf NglRenderer o) => IsNglRenderer o Source #

Type class for types which can be safely cast to `NglRenderer`, for instance with `toNglRenderer`.

#### Instances

Instances details

(GObject o, IsDescendantOf NglRenderer o) => IsNglRenderer o Source # |
Instance details Defined in GI.Gsk.Objects.NglRenderer

toNglRenderer :: (MonadIO m, IsNglRenderer o) => o -> m NglRenderer Source #

Cast to `NglRenderer`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isRealized, notify, notifyByPspec, realize, realizeForDisplay, ref, refSink, render, renderTexture, runDispose, stealData, stealQdata, thawNotify, unrealize, unref, watchClosure.

#### Getters

getData, getProperty, getQdata, getSurface.

#### Setters

setData, setDataFull, setProperty.

## new

nglRendererNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m NglRenderer | Returns: a GL renderer

Deprecated: (Since version 4.18)Use `gLRendererNew`

Same as `gLRendererNew`.